@import url('https://fonts.googleapis.com/css?family=Open+Sans');
body,
html {
  font-family: 'Open Sans', sans-serif;
}

body{
  padding: 20px;
}

#app {
  .logo{
    font-size: 1.2em;
    font-weight: 700;
    display: block;
    cursor: pointer;
  }
  .adding {
    display: flex;
    justify-content: center;
    &_Btn {
      font-weight: bold;
      text-align: center;
      cursor: pointer;
      margin: 20px 0;
    }
  }
  .counters {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    .count {
      display: flex;
      position:relative;
      flex-direction: column;
      justify-content: center;
      max-width:126px;
      min-width: 130px;
      width: 15%;
      align-items: center;
      border: 1px solid #6c757d;
      padding: 10px;
      margin: 10px;
      border-radius: 4px;
      overflow:hidden;
      &_animBg {
      position: absolute;
      height: 100%;
      width: 100%;
      top: 0;
      left: 0;
      animation: colorEffect 1s ease-out;
      z-index:0;
        &_animBack{
          animation: animBack 1s ease-out;
        }
      }
      &_title {
        color: #6c6c6c;
        margin-bottom: 5px;
        margin-top: 15px;
        text-align: center;
        min-height: 50px;
        line-height: 1em;
        z-index:2;
      }
      &_dino {
        transform: rotate(0deg);
        z-index:2;
        animation: jump .1s infinite linear, walk 1s infinite linear;
        transition: .1s transform 0.6s cubic-bezier(0.175, 0.885, 0.32, 1.275);
        &.timeToDie{
          transform: rotate(80deg);
          animation: none;
          &:after{
            content: "×";
            font-size: 1.3em;
            font-weight: 900;
            position: absolute;
            transform: translate(-26px, -14px);
            color: #000;
          }
        }
      }
      &_counter {
        font-size: 1.2em;
        font-weight: bold;
        color: #dc3545;
        z-index:2;
      }
    }
  }
}

.forHeader{
  display:flex;
  justify-content: space-between;
  .forLogo{
    display:flex;
    flex-direction: column;
  }
   .forClear{
     display:flex;
     align-items: center;
   }
}

#time {
    margin-top: -17px;
}

.imgLogo {
    width: 270px;
    position: relative;
    border: 1px solid #8d8d8d;
    border-radius: 40%;
    overflow: hidden;
    margin: 0 auto;
    .imgDino{
      width:100%;
    }
}

.fresh{
  cursor:pointer;
}

@keyframes jump {
  0% {
    transform: translate3d(0, -1%, 0);
  }
  50% {
    transform: translate3d(0, 3%, 0);
  }
  100% {
    transform: translate3d(0, -1%, 0);
  }
}

@keyframes colorEffect {
  0% {
    background: #9cf7ad;
  }
  100% {
    background: #fff;
  }
}

@keyframes animBack {
  0% {
    background: #fff;
  }
  30% {
    background: #ececec;
  }
  100% {
    background: #fff;
  }
}

.list-enter-active,
.list-leave-active,
.list-move {
  transition: 0.7s cubic-bezier(0.19, 1, 0.22, 1);
  transition-property: opacity, transform;
  transform-origin: center;
}

.list-enter {
  opacity: 0;
  transform: translateX(-150px) scaleY(0.1);
}

.list-enter-to {
  opacity: 1;
  transform: translateX(0) scaleY(1);
}

.list-leave-active {
  position: relative;
}

.list-leave-to {
  opacity: 0;
  transform: scaleY(0);
  transform-origin: center;
}